CP(1)

NAAM
cp - bestanden en mappen kopiëren

SAMENVATTING
cp [OPTIE]... [-T] BRON BESTEMMING
cp [OPTIE]... BRON... MAP
cp [OPTIE]... -t MAP BRON...

BESCHRIJVING

Kopieer BRON naar BESTEMMING, of BRON(nen) naar een MAP.

Een verplicht argument bij een lange optie is ook verplicht voor de korte optie.

-a, --archive
    hetzelfde als -dR --preserve=all

--attributes-only
    kopieer geen inhoud, alleen eigenschappen

--backup[=METHODE]
    van elk bestemmingsbestand een reservekopie maken

-b  als --backup, maar accepteert geen argument

--copy-contents
    de inhoud van speciale bestanden kopiëren als er recursief gekopieerd wordt

-d  hetzelfde als --no-dereference --preserve=links

--debug
    leg uit hoe een bestand werd gekopieerd. Impliceert -v

-f, --force
    als bestaand bestemmingsbestand niet geopend kan worden, het verwijderen en het opnieuw proberen (wordt genegeerd als ook optie -n gegeven is)

-i, --interactive
    voor overschrijven om toestemming vragen (gaat boven een eerdere optie -n)

-H  gegeven symbolische koppelingen in BRON volgen

-l, --link
    harde koppelingen maken in plaats van kopieën

-L, --dereference
    symbolische koppelingen in BRON altijd volgen

-n, --no-clobber
    (verouderd) sla stilzwijgend bestaande bestanden over. Zie ook --update

-P, --no-dereference
    geen symbolische koppelingen in BRON volgen

-p  hetzelfde als --preserve=mode,ownership,timestamps

--preserve[=LIJST]
    de genoemde eigenschappen behouden

--no-preserve=LIJST
    de genoemde eigenschappen niet behouden

--parents
    volledige naam gebruiken van bronbestand onder MAP

-R, -r, --recursive
    mappen recursief kopiëren

--reflink[=WANNEER]
    kloon/CoW-kopieën controleren; zie hieronder

--remove-destination
    elke bestaande doelmap verwijderen voordat u deze probeert te openen (anders dan --force)

--sparse=WANNEER
    aanmaken van ijle bestanden controleren; zie hieronder

--strip-trailing-slashes
    schuine strepen achter elk BRON-argument verwijderen

-s, --symbolic-link
    symbolische koppeling maken i.p.v. kopie

-S, --suffix=ACHTERVOEGSEL
    te gebruiken achtervoegsel voor reservekopieën

-t, --target-directory=MAP
    alle BRON-argumenten naar MAP kopiëren

-T, --no-target-directory
    DOEL als een normaal bestand behandelen

--update[=UPDATE]
    bepaal welke bestaande bestanden worden geüpdate; (UPDATE={all,none,none-fail,older(standaard)}

-u  equivalent met --update[=older]. Zie hieronder

-v, --verbose
    tonen wat er gedaan wordt

--keep-directory-symlink
    volg bestaande symbolische koppelingen naar mappen

-x, --one-file-system
    binnen dit bestandssysteem blijven

-Z  de SELinux-beveiligingscontext van doelbestand op standaard instellen

--context[=CNTXT]
    zoals -Z, of als CNTXT is opgegeven zet dan de SELinux en SMACK beveiligingscontext op CNTXT

--help
    toon de helptekst en stop

--version
    toon programmaversie en stop

ATTR_LIST is een comma-gescheiden lijst van attributen. Attributen zijn 'mode' voor rechten (inclusief enige ACL en xattr rechten), 'ownership' voor gebruiker en groep, 'timestamps' for bestand tijdstempels, 'links' voor harde koppelingen, 'context' voor veiligheid context, 'xattr' voor extended attributen, en 'all' voor alle attributen.

Standaard worden ijle BRON bestanden gedetecteerd door een ruwe heuristiek, het overeenkomende BESTEMMING bestand wordt dan ook ijl. Dit gedrag wordt bepaald door --sparse=auto. Gebruik --sparse=always om een ijl BESTEMMINGS bestand te maken indien het BRON bestand een lange serie van nul bytes bevat. Gebruik --sparse=never om de aanmaak van ijle bestanden te voorkomen.

UPDATE bepaald welke bestaande bestanden in het doel worden vervangen. 'all' is de standaard operatie wanneer de --update optie niet werd opgegeven, en resulteert dat alle bestaande bestanden in het doel worden vervangen. 'none' komt overeen met de --no-clobber optie, betekenende dat geen enkel bestand in het doel wordt vervangen, maar dat overgeslagen bestanden geen fout introduceren. 'older' is de standaard operatie wanneer --update werd opgegeven, en resulteert in bestanden die worden vervangen als ze ouder zijn dan het overeenkomstige bron bestand.

Als --reflink[=always] werd gebruikt, maak dan een lichtgewicht kopie, waarbij alleen de gemodificeerde data blokken worden gekopieerd. Als dat niet mogelijk is dan lukt de kopie niet, indien --reflink=auto werd gebruikt wordt terug gevallen naar de standaard kopie. Gebruik --reflink=never om er van zeker te zijn dat de standaard kopie wordt gemaakt.

Het reservekopie-achtervoegsel is '~', tenzij anders ingesteld met --suffix of via omgevingsvariable SIMPLE_BACKUP_SUFFIX. Het versiebeheer kan worden ingesteld met de optie --backup of via omgevingsvariabele VERSION_CONTROL; dit zijn de mogelijke waarden (methodes):

none, off
    nooit reservekopieën maken (zelfs niet met --backup)

numbered, t
    genummerde reservekopieën maken

existing, nil
    genummerde reserves maken als er al zijn, anders eenvoudig

simple, never
    altijd eenvoudige reservekopieën maken

Speciaal geval: cp maakt een reservekopie van BRON als de opties --force en --backup gegeven zijn én BRON en BESTEMMING dezelfde naam van een bestaand normaal bestand zijn.

AUTEUR
Geschreven door Torbjorn Granlund, David MacKenzie en Jim Meyering.

RAPPORTEREN VAN BUGS
Online hulp bij GNU coreutils: <https://www.gnu.org/software/coreutils/>
Meld alle vertaalfouten op <https://translationproject.org/team/nl.html>

COPYRIGHT
Copyright © 2025 Free Software Foundation, Inc. Licentie GPLv3+: GNU GPL versie 3 of later <https://gnu.org/licenses/gpl.html>.
Dit is vrije software: u mag het vrijelijk wijzigen en verder verspreiden. Deze software kent GEEN GARANTIE, voor zover de wet dit toestaat.

ZIE OOK
install(1)

Volledige documentatie op: <https://www.gnu.org/software/coreutils/cp>
of lokaal via: info '(coreutils) cp invocation'

VERTALING
De Nederlandse vertaling van deze handleiding is geschreven door Jos Boersema <joshb@xs4all.nl>, Mario Blättermann <mario.blaettermann@gmail.com> en Luc Castermans <luc.castermans@gmail.com>

Deze vertaling is vrije documentatie; lees de GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) of later over de Copyright-voorwaarden. Er is geen AANSPRAKELIJKHEID.

Indien U fouten in de vertaling van deze handleiding zou vinden, stuur een e-mail naar debian-l10n-dutch@lists.debian.org.